Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class MetaMethodIndex.Entry

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Entry

    public static class MetaMethodIndex.Entry

Field Summary
`CacheEntry` | `cachedMethod`
`CacheEntry` | `cachedMethodForSuper`
`CacheEntry` | `cachedStaticMethod`
`java.lang.Class` | `cls`
`int` | `hash`
`java.lang.Object` | `methods`
`java.lang.Object` | `methodsForSuper`
`java.lang.String` | `name`
`Entry` | `nextClassEntry`
`Entry` | `nextHashEntry`
`java.lang.Object` | `staticMethods`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### cachedMethod

    public CacheEntry cachedMethod

### cachedMethodForSuper

    public CacheEntry cachedMethodForSuper

### cachedStaticMethod

    public CacheEntry cachedStaticMethod

### cls

    public java.lang.Class cls

### hash

    public int hash

### methods

    public java.lang.Object methods

### methodsForSuper

    public java.lang.Object methodsForSuper

### name

    public java.lang.String name

### nextClassEntry

    public Entry nextClassEntry

### nextHashEntry

    public Entry nextHashEntry

### staticMethods

    public java.lang.Object staticMethods

Method Detail

### toString

    public java.lang.String toString()

Groovy Documentation